import Api from '../axios'

const prefix = '/mdm/mdm/databaseManage'

export default {
  /* 通过id获取数据库信息 */
  getDatabaseById (obj) {
    return Api.getById(prefix + '/getDatabaseById', obj)
  },
  /* 测试数据库连接资源 */
  getTestConnection (obj) {
    return Api.get(prefix + '/getTestConnection', obj)
  },
  /* 获取字符集列表 */
  listCharsetType (obj) {
    return Api.get(prefix + '/listCharsetType', obj)
  },
  /* 获取数据库资源列表接口 */
  listDatabase (obj) {
    return Api.get(prefix + '/listDatabase', obj)
  },
  /* 获取数据库类型列表 */
  listDatabaseType (obj) {
    return Api.get(prefix + '/listDatabaseType', obj)
  },
  /* 获取资源类型列表 */
  listResourceType (obj) {
    return Api.get(prefix + '/listResourceType', obj)
  },
  /* 根据ID删除数据库资源接口 */
  removeDatabaseById (obj) {
    return Api.deleteById(prefix + '/removeDatabaseById', obj)
  },
  /* 新建数据库资源接口 */
  saveDatabase (obj) {
    return Api.post(prefix + '/saveDatabase', obj)
  },
  /* 修改数据库资源接口 */
  updateDatabase (obj) {
    return Api.put(prefix + '/updateDatabase', obj)
  },
  /* 刷新数据库 */
  refreshDB (obj) {
    return Api.putById(prefix + '/refresh', obj)
  }
}
